/// <reference types="react" />
import { ValidationIssue } from "../../Common/IDesignValidationProvider";
import { IDataDefinition } from "../../Common/Data/Definitions/IDataDefinition";
import { ButtonControlSize } from "../FormDesignConstants";
import { XBaseControl } from "./XBaseControl";
import { IFormActionComponent } from "../IFormAction";
export declare enum IXButtonType {
    "BUTTON" = "button",
    "LINK" = "link",
    "IMAGE" = "image"
}
export declare class XButton extends XBaseControl implements IFormActionComponent {
    type: IXButtonType;
    image?: string;
    label: string;
    size?: ButtonControlSize;
    onClick: () => void;
    getOutcomeName: () => string;
    render(): JSX.Element | null;
    renderEditUI(): JSX.Element | null;
    getDesignValidationIssues(): ValidationIssue[];
    getRuntimeValidationIssues(): ValidationIssue[];
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
}
